## festival festival — Synthesizes plain text into audio |

## Synopsis

                        GstFestival;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstFestival

## Description

This element connects to a festival server process and uses it to synthesize speech. Festival need to run already in server mode, started as

    festival --server

### Example pipeline

    1
    echo 'Hello G-Streamer!' | gst-launch fdsrc fd=0 ! festival ! wavparse ! audioconvert ! alsasink

## Details

### GstFestival

    typedef struct _GstFestival GstFestival;